Namespace
elastic
Image / Tag
filebeat:sha256-92697f1f4e725a1ca29052b92dbcfe9457591d1d22cb164c1ce39baeb683d25c
Content Digest
sha256:92697f1f4e725a1ca29052b92dbcfe9457591d1d22cb164c1ce39baeb683d25c
Details
Created

2026-04-21 22:19:59 UTC

Size

130 MB

Content Digest
Labels
  • architecture
    x86_64
  • build-date
    2026-04-20T00:46:48Z
  • com.redhat.component
    ubi9-minimal-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • cpe
    cpe:/a:redhat:enterprise_linux:9::appstream
  • description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • distribution-scope
    public
  • io.buildah.version
    1.42.2
  • io.k8s.description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • io.k8s.display-name
    Filebeat image
  • io.openshift.expose-services
  • io.openshift.tags
    minimal rhel9
  • license
    Elastic License
  • maintainer
    infra@elastic.co
  • name
    filebeat
  • org.label-schema.build-date
    2026-04-21T22:13:13Z
  • org.label-schema.license
    Elastic License
  • org.label-schema.name
    filebeat
  • org.label-schema.schema-version
    1.0
  • org.label-schema.url
    https://www.elastic.co/beats/filebeat
  • org.label-schema.vcs-ref
    4ce96ccbcbdd9b4f149e1af9ff2a48af7f42ade8
  • org.label-schema.vcs-url
    github.com/elastic/beats/v7
  • org.label-schema.vendor
    Elastic
  • org.label-schema.version
    9.3.4
  • org.opencontainers.image.authors
    infra@elastic.co
  • org.opencontainers.image.created
    2026-04-21T22:13:13Z
  • org.opencontainers.image.licenses
    Elastic License
  • org.opencontainers.image.revision
    0bc61a274edddc1467c2ad0ddc3139543c4da4da
  • org.opencontainers.image.title
    Filebeat
  • org.opencontainers.image.vendor
    Elastic
  • release
    1
  • summary
    filebeat
  • url
    https://www.elastic.co/beats/filebeat
  • vcs-ref
    0bc61a274edddc1467c2ad0ddc3139543c4da4da
  • vcs-type
    git
  • vendor
    Elastic
  • version
    9.3.4

Environment
ELASTIC_CONTAINER

true

GODEBUG

madvdontneed=1

LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE

/

PATH

/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

container

oci


Layers

[#000] sha256:74e6fce77af54bf9315a35c07b4ed285801a248a01745088312b60c40b36729e - 29.4% (38.2 MB)

[#001] sha256:cdfe39667c858113020d96b0fb6bab84a6628c4d46dbf09fe4031bc32be567c7 - 0.01% (9.51 KB)

[#002] sha256:47621dab0808822a1aeb01b19796420cce6a0e2d758bdaa2110c114fff0769ca - 0.0% (607 Bytes)

[#003] sha256:159725cbf1f17531c691f3eea0b1fe32ef72e4924c6ec314aa14f9880b7d242b - 0.0% (614 Bytes)

[#004] sha256:516c9aef481cde0a161ccb750876bb85893f23a65ad6292ac4f6250a0ed9d60a - 54.11% (70.2 MB)

[#005] sha256:f850e52c081f1893adb55432286e0ba287adfad397f56605f7514d7469d87a06 - 0.0% (123 Bytes)

[#006] sha256:35530dcdf66d5ab71f232c8191253e15aa77845623d0825f23ae56373b0bb3e4 - 0.0% (5.42 KB)

[#007] sha256:287c464ddcd4e8bfbc92985649a3f93eeb483b9ef971efd8d70b284d21977b9f - 0.16% (212 KB)

[#008] sha256:b86c3bdb04f94ca770a8581f5edcb9cfc360113e9cd74fbc2721e7e293688d49 - 0.0% (509 Bytes)

[#009] sha256:dc62aff91e79e670e784e5a26ffec66f34904a11b2f6539e6d1371561542eb7d - 0.0% (1.09 KB)

[#010] sha256:f7f645589c36687b44abc7f2ffa2d5814b24d52777111bcc67e6b91b9193d7aa - 16.32% (21.2 MB)

[#011] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)


History
2026-04-20 00:47:05 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2026-04-20 00:47:05 UTC

/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."

2026-04-20 00:47:05 UTC

/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"

2026-04-20 00:47:05 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9/ubi-minimal" version="9.7" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"

2026-04-20 00:47:05 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2026-04-20 00:47:05 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."

2026-04-20 00:47:05 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2026-04-20 00:47:05 UTC

/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2026-04-20 00:47:05 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"

2026-04-20 00:47:05 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2026-04-20 00:47:05 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"

2026-04-20 00:47:05 UTC

/bin/sh -c #(nop) ENV container oci

2026-04-20 00:47:06 UTC

/bin/sh -c #(nop) COPY dir:95d17c57ef40a5dba79704e92b9c5527d3acb3226364e42c0d41763471e61ce6 in /

2026-04-20 00:47:06 UTC

/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.

2026-04-20 00:47:06 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-04-20 00:47:06 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /usr/share/buildinfo/content-sets.json

2026-04-20 00:47:06 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /root/buildinfo/content_manifests/content-sets.json

2026-04-20 00:47:06 UTC

/bin/sh -c #(nop) COPY file:40b821b4439524877f4c01a660d9685262f2f008f6c6de9ba8b690c7e2740303 in /usr/share/buildinfo/labels.json

2026-04-20 00:47:06 UTC

/bin/sh -c #(nop) COPY file:40b821b4439524877f4c01a660d9685262f2f008f6c6de9ba8b690c7e2740303 in /root/buildinfo/labels.json

2026-04-20 00:47:06 UTC

/bin/sh -c #(nop) LABEL "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="0bc61a274edddc1467c2ad0ddc3139543c4da4da" "org.opencontainers.image.revision"="0bc61a274edddc1467c2ad0ddc3139543c4da4da" "build-date"="2026-04-20T00:46:48Z" "org.opencontainers.image.created"="2026-04-20T00:46:48Z" "release"="1776645941"org.opencontainers.image.revision=0bc61a274edddc1467c2ad0ddc3139543c4da4da,org.opencontainers.image.created=2026-04-20T00:46:48Z

2026-04-21 22:19:36 UTC (buildkit.dockerfile.v0)

LABEL org.label-schema.build-date=2026-04-21T22:13:13Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.3.4 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=4ce96ccbcbdd9b4f149e1af9ff2a48af7f42ade8 io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-04-21T22:13:13Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.3.4 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.

2026-04-21 22:19:36 UTC (buildkit.dockerfile.v0)

ENV ELASTIC_CONTAINER=true

2026-04-21 22:19:36 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-04-21 22:19:36 UTC (buildkit.dockerfile.v0)

ENV GODEBUG=madvdontneed=1

2026-04-21 22:19:36 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit

2026-04-21 22:19:38 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit

2026-04-21 22:19:39 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit

2026-04-21 22:19:50 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat /usr/share/filebeat # buildkit

2026-04-21 22:19:51 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir /licenses # buildkit

2026-04-21 22:19:51 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit

2026-04-21 22:19:51 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit

2026-04-21 22:19:51 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit

2026-04-21 22:19:51 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit

2026-04-21 22:19:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit

2026-04-21 22:19:59 UTC (buildkit.dockerfile.v0)

USER 1000

2026-04-21 22:19:59 UTC (buildkit.dockerfile.v0)

ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/

2026-04-21 22:19:59 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/filebeat

2026-04-21 22:19:59 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]

2026-04-21 22:19:59 UTC (buildkit.dockerfile.v0)

CMD ["--environment" "container"]

Details
Created

2026-04-21 22:28:11 UTC

Size

118 MB

Content Digest
Labels
  • architecture
    aarch64
  • build-date
    2026-04-20T00:49:15Z
  • com.redhat.component
    ubi9-minimal-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • cpe
    cpe:/a:redhat:enterprise_linux:9::appstream
  • description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • distribution-scope
    public
  • io.buildah.version
    1.42.2
  • io.k8s.description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • io.k8s.display-name
    Filebeat image
  • io.openshift.expose-services
  • io.openshift.tags
    minimal rhel9
  • license
    Elastic License
  • maintainer
    infra@elastic.co
  • name
    filebeat
  • org.label-schema.build-date
    2026-04-21T22:15:10Z
  • org.label-schema.license
    Elastic License
  • org.label-schema.name
    filebeat
  • org.label-schema.schema-version
    1.0
  • org.label-schema.url
    https://www.elastic.co/beats/filebeat
  • org.label-schema.vcs-ref
    4ce96ccbcbdd9b4f149e1af9ff2a48af7f42ade8
  • org.label-schema.vcs-url
    github.com/elastic/beats/v7
  • org.label-schema.vendor
    Elastic
  • org.label-schema.version
    9.3.4
  • org.opencontainers.image.authors
    infra@elastic.co
  • org.opencontainers.image.created
    2026-04-21T22:15:10Z
  • org.opencontainers.image.licenses
    Elastic License
  • org.opencontainers.image.revision
    0bc61a274edddc1467c2ad0ddc3139543c4da4da
  • org.opencontainers.image.title
    Filebeat
  • org.opencontainers.image.vendor
    Elastic
  • release
    1
  • summary
    filebeat
  • url
    https://www.elastic.co/beats/filebeat
  • vcs-ref
    0bc61a274edddc1467c2ad0ddc3139543c4da4da
  • vcs-type
    git
  • vendor
    Elastic
  • version
    9.3.4

Environment
ELASTIC_CONTAINER

true

GODEBUG

madvdontneed=1

LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE

/

PATH

/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

container

oci


Layers

[#000] sha256:2b6b28552be27400bdcd6561cd11a6dfa544ac848825bef61f17a590f6553624 - 30.85% (36.4 MB)

[#001] sha256:e587c8bb4f8eead52f97a67a81b552b3184c2d10eb81a8966a96c7670acb316d - 0.01% (9.06 KB)

[#002] sha256:853c06c87bb94b9577e93ac3b4a12ca55d09683685c29170bf613ebf2b14024e - 0.0% (604 Bytes)

[#003] sha256:95fe9aa4053b7064b80df5e57348c17030b03e50836548589c554405503eeb57 - 0.0% (614 Bytes)

[#004] sha256:71ba13184201dee6a8c15ee72abf205ff1ea643199774e951621438bd88b9326 - 51.22% (60.5 MB)

[#005] sha256:93b506f31067fac0e5e7841f0668ee21e5be8932f418fcbba7edaee72e4911d4 - 0.0% (123 Bytes)

[#006] sha256:e82f1cf89105809cf168256c4217760a8e50569f87e8438ddd19125aad3d708a - 0.0% (5.42 KB)

[#007] sha256:2bd4c608bd7ab9f05b52bfc22b378e80329894cf3d6d9285c674ae2d977d0892 - 0.18% (212 KB)

[#008] sha256:d1043aa25a2e81a3e8281685695d28b5615487dffcdc45110014c36e9d2a3d21 - 0.0% (509 Bytes)

[#009] sha256:2680e02f10aafcd6784f3075efff709b7067e726afa9d75ea805579b2111c475 - 0.0% (1.09 KB)

[#010] sha256:cded8f6f4709249a2101bf7ce75eb2199bf3a66e772a879e48e6bf9951a5aa24 - 17.75% (21 MB)

[#011] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)


History
2026-04-20 00:49:28 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2026-04-20 00:49:28 UTC

/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."

2026-04-20 00:49:28 UTC

/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"

2026-04-20 00:49:28 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9/ubi-minimal" version="9.7" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"

2026-04-20 00:49:28 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2026-04-20 00:49:28 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."

2026-04-20 00:49:28 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2026-04-20 00:49:28 UTC

/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2026-04-20 00:49:28 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"

2026-04-20 00:49:28 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2026-04-20 00:49:28 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"

2026-04-20 00:49:28 UTC

/bin/sh -c #(nop) ENV container oci

2026-04-20 00:49:29 UTC

/bin/sh -c #(nop) COPY dir:2db86b8c6d033296a751d728266ea755c08c1579f6b374a8f32773f7c153c4a3 in /

2026-04-20 00:49:29 UTC

/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.

2026-04-20 00:49:29 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-04-20 00:49:29 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /usr/share/buildinfo/content-sets.json

2026-04-20 00:49:29 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /root/buildinfo/content_manifests/content-sets.json

2026-04-20 00:49:29 UTC

/bin/sh -c #(nop) COPY file:74d0fd4df8d5867dbb736f15eb7a260d4e3e75a29dc48c257ee3c5fddc6b08bc in /usr/share/buildinfo/labels.json

2026-04-20 00:49:29 UTC

/bin/sh -c #(nop) COPY file:74d0fd4df8d5867dbb736f15eb7a260d4e3e75a29dc48c257ee3c5fddc6b08bc in /root/buildinfo/labels.json

2026-04-20 00:49:30 UTC

/bin/sh -c #(nop) LABEL "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="0bc61a274edddc1467c2ad0ddc3139543c4da4da" "org.opencontainers.image.revision"="0bc61a274edddc1467c2ad0ddc3139543c4da4da" "build-date"="2026-04-20T00:49:15Z" "org.opencontainers.image.created"="2026-04-20T00:49:15Z" "release"="1776645941"org.opencontainers.image.revision=0bc61a274edddc1467c2ad0ddc3139543c4da4da,org.opencontainers.image.created=2026-04-20T00:49:15Z

2026-04-21 22:27:32 UTC (buildkit.dockerfile.v0)

LABEL org.label-schema.build-date=2026-04-21T22:15:10Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.3.4 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=4ce96ccbcbdd9b4f149e1af9ff2a48af7f42ade8 io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-04-21T22:15:10Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.3.4 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.

2026-04-21 22:27:32 UTC (buildkit.dockerfile.v0)

ENV ELASTIC_CONTAINER=true

2026-04-21 22:27:32 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-04-21 22:27:32 UTC (buildkit.dockerfile.v0)

ENV GODEBUG=madvdontneed=1

2026-04-21 22:27:32 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit

2026-04-21 22:27:32 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit

2026-04-21 22:27:44 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit

2026-04-21 22:27:59 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat /usr/share/filebeat # buildkit

2026-04-21 22:28:00 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir /licenses # buildkit

2026-04-21 22:28:00 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit

2026-04-21 22:28:00 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit

2026-04-21 22:28:00 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit

2026-04-21 22:28:00 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit

2026-04-21 22:28:11 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit

2026-04-21 22:28:11 UTC (buildkit.dockerfile.v0)

USER 1000

2026-04-21 22:28:11 UTC (buildkit.dockerfile.v0)

ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/

2026-04-21 22:28:11 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/filebeat

2026-04-21 22:28:11 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]

2026-04-21 22:28:11 UTC (buildkit.dockerfile.v0)

CMD ["--environment" "container"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete